/// <reference types="powerbi-client" />
import { PropType } from 'vue';
import { IPaginatedReportLoadConfiguration } from 'powerbi-models';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    embedConfig: {
        type: PropType<IPaginatedReportLoadConfiguration>;
        required: true;
    };
}>, {}, {}, {
    config(): IPaginatedReportLoadConfiguration;
}, {
    /**
     * Embed the PowerBI Paginated report
     *
     * @returns void
     */
    embedPaginatedReport(): void;
}, import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof import("service").Service;
    };
}>, {}, {
    powerbi: import("service").Service;
    prevEventHandlerMap: Map<string, import("../utils/utils").EventHandler>;
    embed: import("embed").Embed;
}, {}, {
    setEventHandlers(embed: import("embed").Embed, eventHandlerMap: Map<string, import("../utils/utils").EventHandler>): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof import("service").Service;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    embedConfig: {
        type: PropType<IPaginatedReportLoadConfiguration>;
        required: true;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
